Skip to main content
GET
/
projects
/
{projectId}
/
trash
Get a trashed project
curl --request GET \
  --url https://versuno.ai/api/public/projects/{projectId}/trash \
  --header 'Authorization: <api-key>'
import requests

url = "https://versuno.ai/api/public/projects/{projectId}/trash"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://versuno.ai/api/public/projects/{projectId}/trash', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://versuno.ai/api/public/projects/{projectId}/trash"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}


HttpResponse<String> response = Unirest.get("https://versuno.ai/api/public/projects/{projectId}/trash")
.header("Authorization", "<api-key>")
.asString();
using RestSharp;


var options = new RestClientOptions("https://versuno.ai/api/public/projects/{projectId}/trash");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);

Console.WriteLine("{0}", response.Content);
{
  "name": "Customer Support Prompts",
  "userId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
  "id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
  "description": "All prompts used in our customer support workflows",
  "emoji": "📁",
  "parentProjectId": null,
  "teamId": null,
  "createdAt": "2026-01-10T09:00:00.000Z"
}
{
"error": "Wrong data: assetType is required"
}
{
"error": "Invalid API key"
}
{
"error": "Not found"
}

Authorizations

Authorization
string
header
default:Bearer uk_live_your_api_key_here
required

Versuno API key. Must be prefixed with Bearer. Format: Bearer uk_live_...

Path Parameters

projectId
string<uuid>
required

Response

Trashed project object.

A folder for organising assets and team workspaces.

name
string
required

Display name of the project.

Example:

"Customer Support Prompts"

userId
string<uuid>
required

ID of the user who owns this project.

Example:

"b2c3d4e5-f6a7-8901-bcde-f12345678901"

id
string<uuid>

Unique identifier for the project.

Example:

"c3d4e5f6-a7b8-9012-cdef-123456789012"

description
string | null

Optional description of the project.

Example:

"All prompts used in our customer support workflows"

emoji
string | null

Single emoji icon for the project.

Example:

"📁"

parentProjectId
string<uuid> | null

ID of the parent project for nesting, or null for top-level.

Example:

null

teamId
string<uuid> | null

ID of the team workspace this project belongs to, or null for personal.

Example:

null

createdAt
string<date-time>

ISO 8601 timestamp when the project was created.

Example:

"2026-01-10T09:00:00.000Z"